/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2010, 2013. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:  
 * Use, duplication or disclosure restricted by GSA ADP Schedule 
 * Contract with IBM Corp. 
 *******************************************************************************/
// NLS_CHARSET=UTF-8
({
	
	// template
	
	'heading': "Consommateurs OAuth",
	'pageDescription' : "Utilisez cette page pour gérer vos consommateurs OAuth ou générer des clés pour les nouveaux consommateurs. Un consommateur OAuth peut être une autre application, un serveur Jazz Team Server ou un site Web qui est autorisé à envoyer des demandes à ce ${0} au nom d'un utilisateur autorisé. Les consommateurs signent leurs demandes avec une clé et une valeur confidentielle de consommateur autorisées.  Pour les applications enregistrées par l'assistant de configuration de Jazz Team Server, des clés de consommateur ont été générées automatiquement.  Les demandes d'amis émanant d'autres serveurs Jazz Team Server ou applications génèrent une clé et une valeur confidentielle de consommateur nécessitant une autorisation. Les demandes nécessitant une autorisation se trouvent dans la section Clé provisoire ci-dessous. La section Clé autorisée répertorie toutes les clés de consommateur autorisées. Vous pouvez visualiser, modifier et supprimer des clés de consommateur. Les consommateurs dignes de confiance peuvent partager leur autorisation avec d'autres consommateurs accrédités. Les utilisateurs ne devront pas obtenir une approbation pour pouvoir accéder aux données. Les sites Web et les applications externes à votre organisation doivent être considérés comme non dignes de confiance.",
	'pageDescription_jts': "Jazz Team Server",
	'pageDescription_app': "application",
	
	'displayConsumerTableHeading': "Clés autorisées",
	'authorizedKeysDescription': "Les clés suivantes sont autorisées pour la signature des demandes dans ${0}. Pour éditer les propriétés de la clé de consommateur, notamment le nom, la valeur confidentielle, l'ID utilisateur fonctionnel et le paramètre de sécurité, sélectionnez la ligne à éditer et cliquez sur l'action \"Modifier le consommateur\" dans la colonne \"Actions\". L'association d'un utilisateur fonctionnel préautorisé à cette clé de consommateur permet aux applications de soumettre des demandes dans le cadre d'activités d'arrière-plan telles que l'envoi de notifications par courrier électronique, sans l'intervention de l'utilisateur.",
	'authorizedKeysDescription_jts': "Jazz Team Server",
	'authorizedKeysDescription_app': "cette application",
	
	'registerConsumerHeading': "Enregistrement du consommateur",
	'registerConsumerDescription': "Utilisez le formulaire ci-dessous pour générer une clé de consommateur OAuth autorisée.",
	'registerButtonText': "Enregistrer",
	'consumerKeyLabel': "Clé du consommateur", 
	'consumerSecretLabel': "Valeur confidentielle du consommateur",
	'retypeConsumerSecretLabel': "Entrez à nouveau la valeur confidentielle du consommateur",
	'consumerPublicKeyLabel': "Clé publique de consommateur",	
	'preAuthorizedUser': "ID utilisateur fonctionnel", 
	'selectUserLinkLabel': "Sélectionner un utilisateur...",
	'clearUserLinkLabel': "Supprimer l'utilisateur...",
	'consumerTrustedLabel': "Digne de confiance", 
	'consumerAuthorized': "Autorisé", 
	'untrustedValue': "Non digne de confiance", 
	'trustedValue': "Digne de confiance",
	'authorizedValue': "Autorisé",
	
	'consumerKeyGeneratedValue': "La clé va être générée par le serveur",
	'pickConsumerKeyInstead': "Cliquez ici pour utiliser la clé de consommateur.",
	'generateConsumerKeyInstead': "Cliquez ici pour laisser le serveur générer la clé de consommateur.",
	
	'usePublicKeyInstead': "Cliquez ici pour utiliser une clé publique.",
	'useSecretInstead': "Cliquez ici pour utiliser une valeur confidentielle partagée.",
	
	'editConsumerHeading': "Clé du consommateur : ${0}",
	'editConsumerDialogTitle': "Edition des propriétés de la clé du consommateur",
	'confirmEditCancel': "Voulez-vous vraiment quitter cet éditeur ? Toutes les modifications seront perdues. Cliquez sur Annuler pour continuer à travailler ou sur OK pour quitter l'éditeur.",
	
	'fieldNotBlank': "Le nom ne peut pas être vide",
	'successMessage': "Le consommateur a été enregistré avec la clé de consommateur : ${0}", 
	'confirmDelete': "Voulez-vous vraiment supprimer cette clé de consommateur ?",
	'removeConsumerButton': "Supprimer la clé de consommateur",
	
	'authorizeProvisionalHeading': "Clés provisoires",
	'authorizeProvisionalDescription': "Les amis de ce ${0} peuvent demander des clés de consommateur OAuth provisoires. Les demandes signées à l'aide de clés provisoires sont rejetées. Utilisez le formulaire ci-dessous pour autoriser les clés provisoires de sorte que les demandes émanant de ces clés seront acceptées.",
	'authorizeProvisionalDescription_jts': "Jazz Team Server",
	'authorizeProvisionalDescription_app': "application",
	
	'noProvisional': "Il n'existe pas de clé provisoire.",
	'noConsumer': "Il n'existe pas de clé de consommateur.",
	'nameLabel': "Nom du consommateur",
	'provisionalKeyLabel': "Clé provisoire",
	'requestedAsLabel': "Demandé en tant que",
	'grantAsLabel': "Digne de confiance", 
	'refresh': "Actualiser", 
	'save': "Sauvegarder",
	'pendingLabel': "En attente", 
	'approveLabel': "Approuver", 
	'rejectLabel': "Rejeter",
	'approved': "Approuvée.",
	'rejected': "Rejetée",
	'approvedLabel': "La clé provisoire a été marquée comme étant Approuvée.", 
	'rejectedLabel': "La clé provisoire a été marquée comme étant Rejetée.",
	
	'actions': "Actions",
	'editConsumer': "Modifier le consommateur",
	'removeConsumer': "Supprimer le consommateur",
	
	// Help hover text
	'help_consumerSecret': "\"Valeur confidentielle\" ou mot de passe utilisé par le Consommateur pour établir le droit de propriété de la clé de consommateur.",
	'help_trusted': " Les consommateurs dignes de confiance peuvent partager leur autorisation avec d'autres consommateurs accrédités.",
	'help_functionalId': "L'association d'un ID utilisateur fonctionnel à cette clé de consommateur permet aux applications de créer des demandes dans le cadre des activités d'arrière-plan, telles que l'envoi de notifications par courrier électronique, sans l'intervention de l'utilisateur.",
	
	'trustedWarning': "Voulez-vous vraiment autoriser cette clé en tant que consommateur digne de confiance ?  Les consommateurs dignes de confiance peuvent partager leur autorisation avec d'autres consommateurs accrédités et n'ont pas besoin d'approbation utilisateur pour accéder aux données", 
	
	// Authorize OAuth module
	'moduleHeading': "Autorisation d'une clé provisoire",
	'moduleSummary': "Vous avez accès à \"${0}\" pour autoriser la demande de clé provisoire de \"${1}\" afin d'établir une communication de serveur à serveur.",
	'moduleDetails': "Vous pouvez modifier le \"nom du consommateur\" afin de mieux identifier le serveur demandeur.  Cochez la case \"Sécurisé\" si le consommateur demandeur doit pouvoir partager l'autorisation avec d'autres consommateurs sécurisés.", 
	'moduleFailure': "CRJAZ1504E Une erreur est survenue lors de la sauvegarde des mises à jour de la clé provisoire."	
})
