/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2010, 2013. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:  
 * Use, duplication or disclosure restricted by GSA ADP Schedule 
 * Contract with IBM Corp. 
 *******************************************************************************/
// NLS_CHARSET=UTF-8
({
	
	// template
	
	'heading': "OAuth コンシューマー",
	'pageDescription' : "このページは、OAuth コンシューマーを管理する場合、または新規コンシューマー用の鍵を生成する場合に使用します。OAuth コンシューマーは、許可されたユーザーの代わりにこの ${0} に対して要求を送信できる別のアプリケーション、Jazz Team Server、または Web サイトにすることができます。コンシューマーは、許可されたコンシューマー鍵と秘密鍵を使用して要求に署名します。Jazz Team Server セットアップ・ウィザードで登録されたアプリケーションの場合、コンシューマー鍵は自動生成されています。他の Jazz Team Server またはアプリケーションからのフレンド要求では、許可を必要とするコンシューマー鍵と秘密鍵が生成されます。許可を必要とする要求については、下記の『暫定鍵』セクションを参照してください。『許可された鍵』セクションには、許可されたすべてのコンシューマー鍵がリストされます。コンシューマー鍵は、表示、変更、および削除できます。信頼済みコンシューマーは、他の信頼済みコンシューマーと許可を共有できます。 データにアクセスするための承認を求めるプロンプトがユーザーに対して出されることはありません。組織の外部にある Web サイトおよびアプリケーションは信頼できないものと見なす必要があります。",
	'pageDescription_jts': "Jazz Team Server",
	'pageDescription_app': "アプリケーション",
	
	'displayConsumerTableHeading': "許可された鍵",
	'authorizedKeysDescription': "この ${0} に対する要求に署名するために、以下のキーが許可されています。名前、秘密情報、機能ユーザー ID、およびトラステッド設定などのコンシューマー鍵のプロパティーを編集するには、編集する行を選択して、「アクション」列から「コンシューマーの編集」アクションをクリックします。事前に許可された機能ユーザーをコンシューマー鍵に関連付けると、アプリケーションは、E メール通知の送信などのバックグラウンド・アクティビティー内で、ユーザーの介入なしに要求を行うことができます。",
	'authorizedKeysDescription_jts': "Jazz Team Server",
	'authorizedKeysDescription_app': "アプリケーション",
	
	'registerConsumerHeading': "コンシューマーの登録",
	'registerConsumerDescription': "下のフォームを使用して、許可された OAuth コンシューマー鍵を生成します。",
	'registerButtonText': "登録",
	'consumerKeyLabel': "コンシューマー鍵", 
	'consumerSecretLabel': "コンシューマーの秘密情報",
	'retypeConsumerSecretLabel': "コンシューマーの秘密情報の再入力",
	'consumerPublicKeyLabel': "コンシューマーの公開鍵",	
	'preAuthorizedUser': "機能ユーザー ID", 
	'selectUserLinkLabel': "ユーザーの選択...",
	'clearUserLinkLabel': "ユーザーのクリア...",
	'consumerTrustedLabel': "トラステッド", 
	'consumerAuthorized': "許可済み", 
	'untrustedValue': "アントラステッド", 
	'trustedValue': "トラステッド",
	'authorizedValue': "許可済み",
	
	'consumerKeyGeneratedValue': "キーはサーバーによって生成されます",
	'pickConsumerKeyInstead': "ここをクリックして、代わりにコンシューマー鍵を選択します。",
	'generateConsumerKeyInstead': "ここをクリックして、サーバーにコンシューマー鍵を生成させます。",
	
	'usePublicKeyInstead': "ここをクリックして、代わりに公開鍵を使用します。",
	'useSecretInstead': "ここをクリックして、代わりに共有秘密鍵を使用します。",
	
	'editConsumerHeading': "コンシューマー鍵: ${0}",
	'editConsumerDialogTitle': "コンシューマー鍵のプロパティーの編集",
	'confirmEditCancel': "このエディターを終了しますか? すべての変更は失われます。作業を続行する場合は「キャンセル」を、終了する場合は「OK」をクリックしてください。",
	
	'fieldNotBlank': "名前を空にすることはできません",
	'successMessage': "コンシューマーはコンシューマー鍵 ${0} で正常に登録されました", 
	'confirmDelete': "このコンシューマー鍵を削除しますか?",
	'removeConsumerButton': "コンシューマー鍵の削除",
	
	'authorizeProvisionalHeading': "暫定鍵",
	'authorizeProvisionalDescription': "この ${0} のフレンドは、暫定 OAuth コンシューマー鍵を要求できます。暫定鍵で署名された要求は拒否されます。下のフォームを使用して、暫定鍵を許可し、これらのキーからの要求が受諾されるようにします。",
	'authorizeProvisionalDescription_jts': "Jazz Team Server",
	'authorizeProvisionalDescription_app': "アプリケーション",
	
	'noProvisional': "暫定鍵はありません。",
	'noConsumer': "コンシューマー鍵はありません。",
	'nameLabel': "コンシューマー名",
	'provisionalKeyLabel': "暫定鍵",
	'requestedAsLabel': "要求の対象",
	'grantAsLabel': "トラステッド", 
	'refresh': "更新", 
	'save': "保存",
	'pendingLabel': "保留中", 
	'approveLabel': "承認", 
	'rejectLabel': "リジェクト",
	'approved': "承認済み",
	'rejected': "拒否済み",
	'approvedLabel': "暫定鍵には「承認済み」のマークが付いています。", 
	'rejectedLabel': "暫定鍵には「拒否済み」のマークが付いています。",
	
	'actions': "アクション",
	'editConsumer': "コンシューマーの編集",
	'removeConsumer': "コンシューマーの削除",
	
	// Help hover text
	'help_consumerSecret': "コンシューマー鍵の所有権を確立するためにコンシューマーが使用する「秘密情報」あるいはパスワード。",
	'help_trusted': " 信頼済みコンシューマーは、他の信頼済みコンシューマーと許可を共有できます。",
	'help_functionalId': "機能ユーザー IDとこのコンシューマー鍵を関連付けると、アプリケーションは、E メール通知の送信などのバックグラウンド・アクティビティー内で、ユーザーの介入なしに要求を行うことができます。",
	
	'trustedWarning': "このキーを信頼済みコンシューマーとして許可しますか? 信頼済みコンシューマーは、他の信頼済みコンシューマーと許可を共有でき、データのアクセスにユーザーの承認を必要としません。", 
	
	// Authorize OAuth module
	'moduleHeading': "暫定鍵の許可",
	'moduleSummary': "「${0}」上で、「${1}」からの暫定鍵要求を許可してサーバー間通信を確立するためのアクセス権があります。",
	'moduleDetails': "「コンシューマー名」は、要求元のサーバーを識別しやすいものに変更できます。要求元のコンシューマーが、他の信頼済みコンシューマーと許可を共有できるようにする場合は、「トラステッド」を選択してください。", 
	'moduleFailure': "CRJAZ1504E 暫定鍵への更新を保存しているときに、エラーが発生しました。"	
})
