/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2010, 2013. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:  
 * Use, duplication or disclosure restricted by GSA ADP Schedule 
 * Contract with IBM Corp. 
 *******************************************************************************/
// NLS_CHARSET=UTF-8
({
	
	// template
	
	'heading': "OAuth 컨슈머",
	'pageDescription' : "이 페이지를 사용하여 OAuth 컨슈머를 관리하거나 새 컨슈머에 대한 키를 생성하십시오. OAuth 컨슈머는 다른 애플리케이션, Jazz Team Server 또는 권한 부여된 사용자 대신 이 ${0}에 요청을 전송할 수 있는 웹 사이트일 수 있습니다. 컨슈머는 권한 부여된 컨슈머 키 및 시크릿으로 요청에 서명합니다. Jazz Team Server 설정 마법사로 등록된 애플리케이션의 경우 컨슈머 키가 자동으로 생성됩니다. 다른 Jazz Team Servers 또는 애플리케이션의 동반자 요청은 권한 부여가 요구되는 컨슈머 키 및 시크릿을 생성합니다. 권한 부여가 필요한 이러한 요청은 아래 임시 키 섹션에서 찾을 수 있습니다. 권한 부여된 키 섹션에서는 권한 부여된 모든 컨슈머 키를 나열합니다. 컨슈머 키를 보고, 수정하고, 제거할 수 있습니다. 신뢰 컨슈머는 다른 신뢰 컨슈머와 권한을 공유할 수 있습니다. 데이터 액세스 승인을 위한 프롬프트가 표시되지 않습니다. 조직 외부에 존재하는 웹 사이트 및 애플리케이션은 신뢰할 수 없다고 간주됩니다. ",
	'pageDescription_jts': "Jazz Team Server",
	'pageDescription_app': "애플리케이션",
	
	'displayConsumerTableHeading': "권한 부여 키",
	'authorizedKeysDescription': "다음 키는 이 ${0}에 대한 요청에 서명하기 위해 권한이 부여되어 있습니다. 이름, 시크릿, 기능 사용자 ID 및 신뢰 설정을 포함하여 컨슈머 키의 특성을 편집하려면, 편집할 행을 선택한 후 \"조치\" 열에서 \"컨슈머 편집\" 조치를 클릭하십시오. 사전에 권한이 부여된 기능 사용자와 컨슈머 키를 연관시키면 애플리케이션이 사용자 개입 없이 백그라운드 활동(예: 이메일 알림 송신) 내의 요청을 수행할 수 있습니다.",
	'authorizedKeysDescription_jts': "Jazz Team Server",
	'authorizedKeysDescription_app': "애플리케이션",
	
	'registerConsumerHeading': "컨슈머 등록",
	'registerConsumerDescription': "아래의 양식을 사용하여 권한 부여된 OAuth 컨슈머 키를 생성하십시오.",
	'registerButtonText': "등록",
	'consumerKeyLabel': "컨슈머 키", 
	'consumerSecretLabel': "컨슈머 시크릿",
	'retypeConsumerSecretLabel': "컨슈머 시크릿 재입력",
	'consumerPublicKeyLabel': "컨슈머 공개 키",	
	'preAuthorizedUser': "기능 사용자 ID", 
	'selectUserLinkLabel': "사용자 선택...",
	'clearUserLinkLabel': "사용자 지우기...",
	'consumerTrustedLabel': "신뢰됨", 
	'consumerAuthorized': "권한 부여됨", 
	'untrustedValue': "신뢰되지 않음", 
	'trustedValue': "신뢰됨",
	'authorizedValue': "권한 부여됨",
	
	'consumerKeyGeneratedValue': "키를 서버에서 생성함",
	'pickConsumerKeyInstead': "대신 컨슈머 키를 선택하려면 여기를 클릭하십시오.",
	'generateConsumerKeyInstead': "서버에서 컨슈머 키를 생성하게 하려면 여기를 클릭하십시오.",
	
	'usePublicKeyInstead': "대신 공개 키를 사용하려면 여기를 클릭하십시오.",
	'useSecretInstead': "대신 공유 시크릿을 사용하려면 여기를 클릭하십시오.",
	
	'editConsumerHeading': "컨슈머 키: ${0}",
	'editConsumerDialogTitle': "컨슈머 키 특성 편집",
	'confirmEditCancel': "이 편집기를 종료하시겠습니까? 작성한 변경사항이 손실됩니다. 계속 작업하려면 취소를 클릭하고, 종료하려면 확인을 클릭하십시오.",
	
	'fieldNotBlank': "이름이 비어 있지 않아야 함",
	'successMessage': "컨슈머가 컨슈머 키 ${0}(으)로 등록되었습니다.", 
	'confirmDelete': "이 컨슈머 키를 삭제하시겠습니까?",
	'removeConsumerButton': "컨슈머 키 삭제",
	
	'authorizeProvisionalHeading': "임시 키",
	'authorizeProvisionalDescription': "이 ${0}의 동반자는 임시 OAuth 컨슈머 키를 요청할 수 있습니다. 임시 키로 서명한 요청은 거부됩니다. 아래 양식을 사용하여 이러한 키의 요청을 허용할 수 있도록 임시 키에 권한을 부여하십시오.",
	'authorizeProvisionalDescription_jts': "Jazz Team Server",
	'authorizeProvisionalDescription_app': "애플리케이션",
	
	'noProvisional': "임시 키가 없습니다.",
	'noConsumer': "컨슈머 키가 없습니다.",
	'nameLabel': "컨슈머 이름",
	'provisionalKeyLabel': "임시 키",
	'requestedAsLabel': "다음과 같이 요청",
	'grantAsLabel': "신뢰됨", 
	'refresh': "새로 고치기", 
	'save': "저장",
	'pendingLabel': "보류 중", 
	'approveLabel': "승인", 
	'rejectLabel': "거부",
	'approved': "승인됨",
	'rejected': "거부됨",
	'approvedLabel': "임시 키가 승인됨으로 표시되었습니다.", 
	'rejectedLabel': "임시 키가 거부됨으로 표시되었습니다.",
	
	'actions': "조치",
	'editConsumer': "컨슈머 편집",
	'removeConsumer': "컨슈머 제거",
	
	// Help hover text
	'help_consumerSecret': "컨슈머 키의 소유권을 확립하기 위해 컨슈머가 사용하는 \"시크릿\" 또는 비밀번호입니다.",
	'help_trusted': " 신뢰 컨슈머는 다른 신뢰 컨슈머와 권한을 공유할 수 있습니다.",
	'help_functionalId': "기능 사용자 ID와 이 컨슈머 키를 연관시키면 사용자가 개입하지 않고 이메일 알림 보내기와 같은 배경 활동으로 요청을 작성할 수 있습니다.",
	
	'trustedWarning': "이 키를 신뢰되는 컨슈머로 권한 부여하시겠습니까? 신뢰되는 컨슈머는 다른 신뢰되는 컨슈머와 권한을 공유할 수 있으며 데이터 액세스 시 사용자의 승인을 필요로 하지 않습니다.", 
	
	// Authorize OAuth module
	'moduleHeading': "임시 키 권한 부여",
	'moduleSummary': "서버간 통신을 설정하기 위한 \"${1}\"의 임시 키 요청 권한을 부여하는 \"${0}\"에 대한 액세스 권한이 있습니다.",
	'moduleDetails': "요청하는 서버를 더 잘 식별하도록 \"컨슈머 이름\"을 수정할 수 있습니다. 요청 컨슈머가 다른 신뢰된 컨슈머와 권한을 공유할 수 있어야 하는 경우 \"신뢰됨\"을 선택하십시오.", 
	'moduleFailure': "CRJAZ1504E 임시 키에 대한 갱신사항을 저장하는 중에 오류가 발생했습니다."	
})
