@echo off
rem *******************************************************************************
rem  Materiale su licenza - Propriet di IBM
rem  (c) Copyright IBM Corporation 2006, 2012. Tutti i diritti riservati.
rem
rem  Nota relativa a limitazioni dei diritti per gli utenti del Governo degli Stati Uniti:
rem  L'uso, la duplicazione o la divulgazione sono limitati dal GSA ADP Schedule
rem  Contract con IBM Corp.
rem  *******************************************************************************


REM #############################################################
REM #
REM # Definizione delle variabili d'ambiente corrispondenti ai
REM # parametri dello script jts_upgrade.bat e ai relativi
REM # valori predefiniti
REM #===========================================================
REM #
REM # Questo file viene letto all'inizio dell'esecuzione dello
REM # jts_upgrade.bat. Esso imposta una variabile di
REM # ambiente per parametro valido con un valore predefinito.
REM #
REM # Gli utenti possono modificare il valore predefinito per
REM # avviare lo script jts_upgrade.bat con i propri valori
REM # senza dover immettere il parametro e il corrispondente
REM # valore manualmente sulla riga comandi.
REM #
REM # AVVERTENZA:
REM # Non tutte le variabili devono essere impostate in base
REM # all'applicazione aggiornata.  Leggere attentamente ogni commento
REM # prima di modificare il valore.
REM #
REM #############################################################

rem Parametro: -oldJTSHome
rem Uso: -oldJTSHome <percorso dir>
rem Descrizione:
rem Il percorso completo alla directory home JTS nell'installazione old.
rem Valore predefinito:
rem 	<nessun valore>
rem Limitazioni:
rem  - <percorso dir> deve essere una directory esistente che termina con 'server\conf'
rem  - Valido solo per gli aggiornamenti di RM e JTS
rem
set OLD_JTS_HOME=

rem Parametro: -jtsContextRoot
rem Uso: -jtsContextRoot <root>
rem Descrizione:
rem La root di contesto JTS
rem Valore predefinito:
rem 	jts
rem Limitazioni:
rem  - <root> deve essere una singola directory valida (senza barra iniziale)
rem
set JTS_CONTEXT_ROOT=jts

rem Parametro: -lpaContextRoot
rem Uso: -lpaContextRoot <root>
rem Descrizione:
rem La root di contesto LPA
rem Valore predefinito:
rem 	admin
rem Limitazioni:
rem  - <root> deve essere una singola directory valida (senza barra iniziale)
rem
set LPA_CONTEXT_ROOT=admin

rem Parametro: -oldJTSVersion
rem Uso: -oldJTSVersion <versione>
rem Descrizione:
rem  la versione JTS che viene aggiornata.  Per impostazione predefinita,
rem questa  determinata eseguendo repotools -version rispetto al vecchio JTS.
rem Valore predefinito:
rem 	<nessuno>
rem Limitazioni:
rem  - deve essere una stringa di versione completa
rem    ad esempio, 3.0.0 o 3.0.1
rem
set OLD_JTS_VERSION=

rem Parametro: -updateTomcatFiles
rem Uso: -updateTomcatFiles <s | no>
rem Descrizione:
rem Indica se aggiornare i file di configurazione tomcat.
rem Valore predefinito:
rem 	yes
rem Limitazioni:
rem  - Gli unici valori validi sono 'yes' e 'no'
rem
set UPDATE_TOMCAT_FILES=yes

rem Parametro: -oldTomcatHome
rem Uso: -oldTomcatHome <percorso dir>
rem Descrizione:
rem Il percorso completo della directory root Tomcat nell'installazione old.
rem Valore predefinito:
rem 	<nessun valore>
rem Limitazioni:
rem  - Deve essere una directory esistente
rem
set OLD_TOMCAT_HOME=

rem Parametro: -newJTSHome
rem Uso: -newJTSHome <percorso dir>
rem Descrizione:
rem 	il percorso della directory di configurazione del server JTS della nuova installazione.
rem Valore predefinito:
rem 	conf
rem Limitazioni:
rem  - <percorso dir> deve essere una directory esistente che termina con 'server\conf'
rem
set NEW_JTS_HOME="%START_DIR%\conf"

rem Parametro: -newTomcatHome
rem Uso: -newTomcatHome <percorso dir>
rem Descrizione:
rem 	il percorso della directory home Tomcat della nuova installazione.
rem Valore predefinito:
rem 	<nessun valore>
rem
set NEW_TOMCAT_HOME=

rem Parametro: -noPrompt
rem Uso: -noPrompt
rem Descrizione:
rem Non richiede prima di creare o modificare le tabelle
rem Valore predefinito:
rem 	<nessun valore>
rem Limitazioni:
rem  - Gli unici valori validi sono il valore vuoto o 'noPrompt'
rem
rem set NO_PROMPT=noPrompt
set NO_PROMPT=

rem Parametro: -noVerify
rem Uso: -noVerify
rem Descrizione:
rem Non esegue la verifica dei file teamserver.properties.
rem Valore predefinito:
rem 	<nessun valore>
rem Limitazioni:
rem  - Gli unici valori validi sono il valore vuoto o 'noVerify'
rem
rem set NO_VERIFY=noVerify
set NO_VERIFY=

rem Parametro: -overwrite
rem Uso: -overwrite
rem Descrizione:
rem Indica se sovrascrivere un file esistente.
rem Valore predefinito:
rem 	no
rem Limitazioni:
rem  - Gli unici valori validi sono il valore vuoto o 'overwrite=yes'
rem
rem set OVERWRITE=overwrite=yes
set OVERWRITE=

rem Parametro: -noStepPrompt
rem Uso: -noStepPrompt
rem Descrizione:
rem Non richiede prima di eseguire un passo.
rem Valore predefinito:
rem 	false
rem Limitazioni:
rem  - Gli unici valori validi sono 'true' e 'false'
rem
rem set NO_STEP_PROMPT=true
set NO_STEP_PROMPT=false
