@echo off
rem *******************************************************************************
rem  Materiales bajo licencia - Propiedad de IBM
rem  (c) Copyright IBM Corporation 2006, 2012. Reservados todos los derechos.
rem
rem  Note to U.S. Government Users Restricted Rights:
rem  Use, duplication or disclosure restricted by GSA ADP Schedule
rem  Contract with IBM Corp.
rem  *******************************************************************************


REM #############################################################
REM #                                                           #
REM # Defina las variables de entorno correspondientes a los    #
REM # parmetros del script rm_upgrade.bat y sus valores        #
REM # predeterminados.                                          #
REM #===========================================================#
REM #                                                           #
REM # Este archivo se lee al comienzo de la ejecucin del       #
REM # script rm_upgrade.bat. Define una variable de entorno por
REM # cada parmetro vlido con un valor predeterminado
REM #
REM # Es posible que los usuarios deseen modificar el valor predeterminado
REM # para lanzar el script rm_upgrade.bat con sus propios valores
REM # sin tener que especificar de forma manual el parmetro y su
REM # valor correspondiente en la lnea de mandatos.
REM #
REM # AVISO:
REM # No es necesario definir todas las variables para cada
REM # aplicacin.  Lea cada comentario detenidamente antes de modificar
REM # el valor.
REM #
REM #############################################################

rem Parmetro: -oldApplicationHome
rem Uso: -oldApplicationHome <va acceso dir>
rem Descripcin:
rem 	Va de acceso completa al directorio de inicio de la aplicacin en la instalacin anterior.
rem Valor predeterminado:
rem 	<ninguno>
rem Restricciones:
rem  - es un parmetro obligatorio
rem  - <va acceso dir> debe ser un directorio existente terminado en 'server\conf'
rem    por ej. D:\Jazz\IBM\RRC_3.x\jazz\server\conf
rem
set OLD_APPLICATION_HOME=

rem Parmetro: -applicationContextRoot
rem Uso: -applicationContextRoot <raz>
rem Descripcin:
rem 	Raz de contexto de aplicacin.
rem Valor predeterminado:
rem 	rm
rem Restricciones:
rem  - <raz> debe ser un nombre nico de directorio vlido (por ejemplo, sin ninguna barra inclinada inicial)
rem
set APPLICATION_CONTEXT_ROOT=

rem Parmetro: -oldJTSHome
rem Uso: -oldJTSHome <va acceso dir>
rem Descripcin:
rem 	Va de acceso completa al directorio de inicio de JTS en la instalacin anterior.
rem valor predeterminado:
rem 	<ninguno>
rem Restricciones:
rem  - <va acceso dir> debe ser un directorio existente terminado en 'server\conf'
rem  - Slo vlido para actualizaciones de RM y JTS
rem
set OLD_JTS_HOME=

rem Parmetro: -oldJTSContextRoot
rem Uso: -oldJTSContextRoot <raz>
rem Descripcin:
rem 	Raz de contexto de JTS
rem Valor predeterminado:
rem 	jts
rem Restricciones:
rem  - Solo se acepta para la actualizacin de RM
rem  - <raz> debe ser un nombre nico de directorio vlido (por ejemplo, sin ninguna barra inclinada inicial)
rem
set OLD_JTS_CONTEXT_ROOT=

rem Parmetro: -updateTomcatFiles
rem Uso: -updateTomcatFiles <yes | no>
rem Descripcin:
rem 	Si deben actualizarse los archivos de configuracin tomcat.
rem Valor predeterminado:
rem 	yes
rem Restricciones:
rem  - Los nicos valores vlidos son 'yes' y 'no'
rem
set UPDATE_TOMCAT_FILES=yes

rem Parmetro: -oldApplicationTomcatHome
rem Uso: -oldApplicationTomcatHome <va acceso dir>
rem Descripcin:
rem 	Va de acceso completa al directorio raz de Tomcat de la aplicacin de la instalacin anterior.
rem Valor predeterminado:
rem 	<ninguno>
rem Restricciones:
rem  - Solo se acepta para la actualizacin de RM
rem  - Debe ser un directorio existente
set OLD_TOMCAT_HOME=

rem Parmetro: -oldJTSTomcatHome
rem Uso: -oldJTSTomcatHome <va acceso dir>
rem Descripcin:
rem 	Va de acceso completa al directorio raz de Tomcat de JTS en la instalacin anterior.
rem Valor predeterminado:
rem 	<ninguno>
rem Restricciones:
rem  - Solo se acepta para la actualizacin de RM
rem  - Debe ser un directorio existente
rem
set OLD_JTS_TOMCAT_HOME=

rem Parmetro: -newApplicationHome
rem Uso: -newApplicationHome <va acceso dir>
rem Descripcin:
rem 	Va de acceso al directorio de inicio de la aplicacin de la nueva instalacin.
rem Valor predeterminado:
rem 	conf
rem Restricciones:
rem  - Solo se acepta en actualizaciones RTC, QM y RM
rem  - Cuando se acepta, es un parmetro obligatorio
rem  - <va_acceso_dir> debe ser un directorio existente que termine en 'server\conf'
rem    por ej. D:\Jazz\IBM\RRC_3.0\JazzTeamServer\server\conf
rem
set NEW_APPLICATION_HOME="%START_DIR%\conf"

rem Parmetro: -newJTSHome
rem Uso: -newJTSHome <va acceso dir>
rem Descripcin:
rem 	Va de acceso completa al directorio de inicio de JTS del JTS que la nueva instalacin utilizar.
rem Valor predeterminado:
rem 	El nuevo directorio de inicio de aplicacin
rem Restricciones:
rem  - <va_acceso_dir> debe ser un directorio existente que termine en 'server\conf'
rem
set NEW_JTS_HOME=

rem Parmetro: -newJTSContextRoot
rem Uso: -newJTSContextRoot <raz>
rem Descripcin:
rem 	Raz de contexto del servidor JTS.
rem Valor predeterminado:
rem 	jts
rem Restricciones:
rem  - <raz> debe ser un nombre nico de directorio vlido (es decir, ninguna barra inclinada inicial)
rem
set JTS_CONTEXT_ROOT=jts

rem Parmetro: -newApplicationTomcatHome
rem Uso: -newApplicationTomcatHome <va acceso dir>
rem Descripcin:
rem 	Va de acceso al directorio raz de Tomcat de la aplicacin de la nueva instalacin.
rem Valor predeterminado:
rem 	<ninguno>
rem
set NEW_TOMCAT_HOME=

rem Parmetro: -newJTSTomcatHome
rem Uso: -newJTSTomcatHome <va acceso dir>
rem Descripcin:
rem 	Va de acceso al directorio raz de Tomcat de JTS del JTS que la nueva instalacin utilizar.
rem Valor predeterminado:
rem 	<ninguno>
rem
set NEW_JTS_TOMCAT_HOME=

rem Parmetro: -noPrompt
rem Uso: -noPrompt
rem Descripcin:
rem 	No solicita confirmacin (es decir, utiliza siempre noPrompt) al ejecutar mandatos repotools
rem Valor predeterminado:
rem 	<ninguno>
rem Restricciones:
rem  - Los nicos valores vlidos estn vacos o son 'noPrompt'
rem
rem set NO_PROMPT=noPrompt
set NO_PROMPT=

rem Parmetro: -overwrite
rem Uso: -overwrite
rem Descripcin:
rem 	Forzar la sobrescritura (es decir, utilizar siempre overwrite=yes) mientras se ejecutan mandatos repotools
rem Valor predeterminado:
rem 	<ninguno>
rem Restricciones:
rem  - Los nicos valores vlidos son en blanco u 'overwrite=yes'
rem
rem set OVERWRITE=overwrite=yes
set OVERWRITE=

rem Parmetro: -noVerify
rem Uso: -noVerify
rem Descripcin:
rem 	No realizar ninguna verificacin (es decir, utilizar siempre noVerify) mientras se ejecutan mandatos repotools
rem Valor predeterminado:
rem 	<ninguno>
rem Restricciones:
rem  - Los nicos valores vlidos son en blanco o 'noVerify'
rem
rem set NO_VERIFY=noVerify
set NO_VERIFY=

rem Parmetro: -noStepPrompt
rem Uso: -noStepPrompt
rem Descripcin:
rem 	No solicitar antes de cada paso de actualizacin
rem Valor predeterminado:
rem 	false
rem Restricciones:
rem  - Los nicos valores vlidos son 'true' o 'false'
rem
rem set NO_PROMPT=true
set NO_STEP_PROMPT=false

rem Parmetro: -jtsURL
rem Uso: -jtsURL <URI pblico JTS>
rem Descripcin:
rem 	URI pblico de JTS
rem Valor predeterminado:
rem 	<ninguno>
rem Restricciones:
rem  - Slo aceptado para actualizacin de RM
rem  - Slo necesario en un despliegue distribuido donde se ejecuta JTS en una instancia de servidor distinta a la de la aplicacin RM
rem
set JTS_PUBLIC_URL=
