@echo off
rem *******************************************************************************
rem  Elments sous licence - Proprit d'IBM
rem  (c) Copyright IBM Corporation 2006, 2012. All Rights Reserved.
rem
rem  Note to U.S. Government Users Restricted Rights:
rem  Use, duplication or disclosure restricted by GSA ADP Schedule
rem  Contract with IBM Corp.
rem  *******************************************************************************


REM #############################################################
REM #
REM # Dfinissez les variables d'environnement correspondant
REM # aux paramtres de script rm_upgrade.bat ainsi que leurs valeurs par dfaut
REM #
REM #===========================================================
REM #
REM # Ce fichier est lu au dbut de l'excution du script
REM # rm_upgrade.bat. Il associe une variable d'environnement
REM # par paramtre valide  une valeur par dfaut prdfinie.
REM #
REM # Les utilisateurs peuvent modifier la valeur par dfaut
REM # pour lancer le script rm_upgrade.bat avec leurs propres
REM # valeurs sans avoir  entrer manuellement le paramtre et
REM # sa valeur correspondante sur la ligne de commande.
REM #
REM # AVERTISSEMENT :
REM # Les variables ne doivent pas toutes tre dfinies pour chaque
REM # application.  Lisez avec attention chaque commentaire avant de
REM # modifier la valeur.
REM #
REM #############################################################

rem Paramtre : -oldApplicationHome
rem Syntaxe : -oldApplicationHome <chemin rp>
rem Description :
rem 	Chemin d'accs complet au rpertoire principal de l'application dans l'ancienne installation.
rem Valeur par dfaut :
rem 	<aucune>
rem Contraintes:
rem  - Il s'agit d'un paramtre obligatoire
rem  - <chemin rpertoire> doit correspondre  un rpertoire existant se terminant par 'server\conf'
rem    Exemple : D:\Jazz\IBM\RRC_3.x\jazz\server\conf
rem
set OLD_APPLICATION_HOME=

rem Paramtre : -applicationContextRoot
rem Syntaxe : -applicationContextRoot <racine>
rem Description :
rem 	Racine de contexte d'application.
rem Valeur par dfaut :
rem 	rm
rem Contraintes :
rem  - <racine> doit correspondre  un nom unique de rpertoire valide (sans barre oblique au dbut)
rem
set APPLICATION_CONTEXT_ROOT=

rem Paramtre : -oldJTSHome
rem Syntaxe : -oldJTSHome <chemin rp>
rem Description :
rem 	Chemin d'accs complet au rpertoire principal de JTS dans l'ancienne installation.
rem Valeur par dfaut :
rem 	<aucune>
rem Contraintes :
rem  - <chemin rpertoire> doit correspondre  un rpertoire existant se terminant par 'server\conf'
rem  - Valide uniquement pour les mises  niveau de RM et JTS
rem
set OLD_JTS_HOME=

rem Paramtre : -oldJTSContextRoot
rem Syntaxe : -oldJTSContextRoot <racine>
rem Description :
rem 	Racine de contexte JTS
rem Valeur par dfaut :
rem 	jts
rem Contraintes :
rem  - Admis uniquement pour la mise  niveau de RM
rem  - <racine> doit correspondre  un nom unique de rpertoire valide (sans barre oblique au dbut)
rem
set OLD_JTS_CONTEXT_ROOT=

rem Paramtre : -updateTomcatFiles
rem Syntaxe : -updateTomcatFiles <yes | no>
rem Description :
rem 	Indique si les fichiers de configuration Tomcat doivent tre mis  jour.
rem Valeur par dfaut :
rem 	yes
rem Contraintes :
rem  - Seules valeurs 'yes' et 'no' sont valides
rem
set UPDATE_TOMCAT_FILES=yes

rem Paramtre : -oldApplicationTomcatHome
rem Syntaxe : -oldApplicationTomcatHome <chemin rp>
rem Description :
rem 	Chemin d'accs complet au rpertoire racine Tomcat de l'application dans l'ancienne installation.
rem Valeur par dfaut :
rem 	<aucune>
rem Contraintes :
rem  - Admis uniquement pour la mise  niveau de RM
rem  - Doit tre un rpertoire existant
rem
set OLD_TOMCAT_HOME=

rem Paramtre : -oldJTSTomcatHome
rem Syntaxe : -oldJTSTomcatHome <chemin rp>
rem Description :
rem 	Chemin d'accs complet au rpertoire racine Tomcat de JTS dans l'ancienne installation.
rem Valeur par dfaut :
rem 	<aucune>
rem Contraintes :
rem  - Admis uniquement pour la mise  niveau de RM
rem  - Doit tre un rpertoire existant
rem
set OLD_JTS_TOMCAT_HOME=

rem Paramtre : -newApplicationHome
rem Syntaxe : -newApplicationHome <chemin rp>
rem Description :
rem 	Chemin d'accs au rpertoire principal de l'application dans la nouvelle installation.
rem Valeur par dfaut :
rem 	conf
rem Contraintes :
rem  - Admis uniquement pour la mise  niveau de RTC, QM et RM
rem  - Lorsqu'il est admis, il s'agit d'un paramtre obligatoire
rem  - <chemin rpertoire> doit correspondre  un rpertoire existant se terminant par 'server\conf'
rem    Exemple : D:\Jazz\IBM\RRC_3.0\JazzTeamServer\server\conf
rem
set NEW_APPLICATION_HOME="%START_DIR%\conf"

rem Paramtre : -newJTSHome
rem Syntaxe : -newJTSHome <chemin rp>
rem Description :
rem 	Chemin d'accs complet au rpertoire principal du serveur JTS que la nouvelle installation va utiliser.
rem Valeur par dfaut :
rem 	Rpertoire principal de la nouvelle application
rem Contraintes :
rem  - <chemin rpertoire> doit correspondre  un rpertoire existant se terminant par 'server\conf'
rem
set NEW_JTS_HOME=

rem Paramtre : -newJTSContextRoot
rem Syntaxe : -newJTSContextRoot <racine>
rem Description :
rem 	Racine de contexte du serveur JTS.
rem Valeur par dfaut :
rem 	jts
rem Contraintes :
rem  - <racine> doit correspondre  un nom unique de rpertoire valide (sans barre oblique au dbut)
rem
set JTS_CONTEXT_ROOT=jts

rem Paramtre : -newApplicationTomcatHome
rem Syntaxe : -newApplicationTomcatHome <chemin rp>
rem Description :
rem 	Chemin d'accs au rpertoire racine Tomcat de l'application dans la nouvelle installation.
rem Valeur par dfaut :
rem 	<aucune>
rem
set NEW_TOMCAT_HOME=

rem Paramtre : -newJTSTomcatHome
rem Syntaxe : -newJTSTomcatHome <chemin rp>
rem Description :
rem 	Chemin d'accs au rpertoire racine Tomcat du serveur JTS que la nouvelle application va utiliser.
rem Valeur par dfaut :
rem 	<aucune>
rem
set NEW_JTS_TOMCAT_HOME=

rem Paramtre : -noPrompt
rem Syntaxe : -noPrompt
rem Description :
rem	Ne pas demander confirmation (toujours utiliser noPrompt) lors de l'excution des commandes repotools
rem Valeur par dfaut :
rem 	<aucune>
rem Contraintes :
rem  - Les seules valeurs valides sont la valeur vide ou 'noPrompt'
rem
rem set NO_PROMPT=noPrompt
set NO_PROMPT=

rem Paramtre : -overwrite
rem Syntaxe : -overwrite
rem Description :
rem 	Forcer le remplacement (toujours utiliser overwrite=yes) lors de l'excution des commandes repotools
rem Valeur par dfaut :
rem 	<aucune>
rem Contraintes :
rem  - Les seules valeurs valides sont la valeur vide et 'overwrite=yes'
rem
rem set OVERWRITE=overwrite=yes
set OVERWRITE=

rem Paramtre : -noVerify
rem Syntaxe : -noVerify
rem Description :
rem 	Ne pas effectuer de vrification (toujours utiliser noVerify) lors de l'excution des commandes repotools
rem Valeur par dfaut :
rem 	<aucune>
rem Contraintes :
rem  - Les seules valeurs valides sont la valeur vide et 'noVerify'
rem
rem set NO_VERIFY=noVerify
set NO_VERIFY=

rem Paramtre : -noStepPrompt
rem Syntaxe : -noStepPrompt
rem Description :
rem 	Ne pas demander confirmation avant chaque tape de mise  niveau
rem Valeur par dfaut :
rem 	false
rem Contraintes :
rem  - Les seules valides valides sont 'true' et 'false'
rem
rem set NO_STEP_PROMPT=true
set NO_STEP_PROMPT=false

rem Paramtre : -jtsURL
rem Syntaxe : -jtsURL <URI public JTS>
rem Description :
rem 	URI public du serveur JTS
rem Valeur par dfaut :
rem 	<aucune>
rem Contraintes :
rem  - Admis uniquement pour la mise  niveau de RM
rem  - Ncessaire uniquement dans un dploiement rparti o le serveur JTS s'excute dans une instance de serveur diffrente de celle de l'application RM
rem
set JTS_PUBLIC_URL=
